"use strict";
/**
 * Copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyTheme = void 0;
function applyTheme() {
    if (document.playwrightThemeInitialized)
        return;
    document.playwrightThemeInitialized = true;
    document.defaultView.addEventListener('focus', (event) => {
        if (event.target.document.nodeType === Node.DOCUMENT_NODE)
            document.body.classList.remove('inactive');
    }, false);
    document.defaultView.addEventListener('blur', event => {
        document.body.classList.add('inactive');
    }, false);
}
exports.applyTheme = applyTheme;
//# sourceMappingURL=theme.js.map